#
# spec file for package ccrypt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ccrypt
Version:        1.10
Release:        3.15
Summary:        Crypt and Decrypt Files and Streams with AES
License:        GPL-2.0
Group:          Productivity/Security
Url:            http://ccrypt.sourceforge.net/
Source0:        http://ccrypt.sourceforge.net/download/ccrypt-%{version}.tar.gz
BuildRequires:  emacs-nox
BuildRequires:  libgcrypt-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ccrypt is a utility for encrypting and decrypting files and streams.
It was designed as a replacement for the standard unix crypt utility,
which is notorious for using a very weak encryption algorithm.

ccrypt is based on the Rijndael cipher, which is the U.S. government's
chosen candidate for the Advanced Encryption Standard (AES, see
http://www.nist.gov/aes).
This cipher is believed to provide very strong security.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make  %{?_smp_mflags} DESTDIR=%{buildroot} install htmldir="%{_docdir}/%{name}"

%find_lang ccrypt

%files -f ccrypt.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog README NEWS COPYING
%{_bindir}/ccrypt
%{_bindir}/ccguess
%{_bindir}/ccat
%{_bindir}/ccencrypt
%{_bindir}/ccdecrypt
%dir %{_datadir}/emacs
%dir %{_datadir}/emacs/site-lisp
%{_datadir}/emacs/site-lisp/ps-ccrypt.el
%{_datadir}/emacs/site-lisp/ps-ccrypt.elc
%{_mandir}/man1/ccrypt.1%{ext_man}
%{_mandir}/man1/ccguess.1%{ext_man}
%{_mandir}/man1/ccat.1%{ext_man}
%{_mandir}/man1/ccencrypt.1%{ext_man}
%{_mandir}/man1/ccdecrypt.1%{ext_man}

%changelog
* Thu Apr 28 2016 mpluskal@suse.com
- Install COPYING
* Wed Dec  9 2015 mpluskal@suse.com
- Update to 1.10
  * see ChangeLog for details
- Cleanup spec file with spec-cleaner
- Use shared gcrypt instead of bundled one
- Enable emacs support
- Initial changelog - previous packaging done by:
  * Pascal Bleser <pascal.bleser@opensuse.org>
  * Leo Eraly <leo@unstable.be>
